detekt-api
1.21.0-RC2

# Location

data class Location @ JvmOverloads constructor( val source: SourceLocation , val text: TextLocation , val file: String , val filePath: FilePath = FilePath.fromAbsolute(Paths.get(file))) : Compactable
Content copied to clipboard

Specifies a position within a source code fragment.

## Constructors

Location
Link copied to clipboard
fun Location ( source: SourceLocation , text: TextLocation , filePath: FilePath)
Content copied to clipboard
Location
Link copied to clipboard
fun Location ( source: SourceLocation , text: TextLocation , locationString: String , file: String )
Content copied to clipboard
Location
Link copied to clipboard
@ JvmOverloads
fun Location ( source: SourceLocation , text: TextLocation , file: String , filePath: FilePath = FilePath.fromAbsolute(Paths.get(file)))
Content copied to clipboard

## Types

Companion
Link copied to clipboard
object Companion
Content copied to clipboard

## Functions

compact
Link copied to clipboard
open override fun compact (): String
Content copied to clipboard

Contract to format implementing object to a string representation.

compactWithSignature
Link copied to clipboard
open fun compactWithSignature (): String
Content copied to clipboard

Same as compact except the content should contain a substring which represents this exact findings via a custom identifier.

## Properties

file
Link copied to clipboard
val file : String
Content copied to clipboard
filePath
Link copied to clipboard
val filePath : FilePath
Content copied to clipboard
source
Link copied to clipboard
val source : SourceLocation
Content copied to clipboard
text
Link copied to clipboard
val text : TextLocation
Content copied to clipboard